Subject: Trouble building on Win32

From: Noah White <[email-masked]>
Date: Thu, 20 Jun 2002 17:13:01 -0400

I'm trying to bld 2.8.9-1.3.26 on Windows 2000 server with VC++ 7.0
installed. I'm running into the following issues:

1) When patching the sources I get the following:

|+--------------------------------------------------------------------------
-
|| First patch APACI's configuration script to pass a `ssl' flag
|| to the Makefile.tmpl file which indicated whether mod_ssl is
|| activated or not.  Second we add support for the SSL_BASE and
|| RSA_BASE variables. Third we provide the configuration
|| adjustments of the HTTPS port (443) similar to what is
|| already done by APACI for the HTTP port (80).
|+--------------------------------------------------------------------------
-
|Index: configure
|--- configure  19 Jun 2002 07:20:10 -0000      1.1.1.14
|+++ configure  19 Jun 2002 07:29:07 -0000      1.26
--------------------------
File to patch:

If I ignore that and skip that patch I get another issue here:

|+--------------------------------------------------------------------------
-
|| Here we first incorporate support for the `make certificate'
|| procedure and second support for the `make install' procedure
|| where SSL directives in the configuration files are now also
|| adjusted and SSL certs/keys and support programs are now
|| additionally installed.
|+--------------------------------------------------------------------------
-
|Index: Makefile.tmpl
|--- Makefile.tmpl      27 Mar 2002 15:22:49 -0000      1.1.1.12
|+++ Makefile.tmpl      27 Mar 2002 15:30:01 -0000      1.44
--------------------------
File to patch:

If I skip/ignore that I get another one:

|
|+--------------------------------------------------------------------------
-
|| Add additional SSL configuration directives which provide a
|| robust default configuration: virtual server on port 443
|| which speaks SSL.
|+--------------------------------------------------------------------------
-
|Index: conf/httpd.conf-dist
|--- conf/httpd.conf-dist       27 Mar 2002 15:22:49 -0000      1.1.1.14
|+++ conf/httpd.conf-dist       27 Mar 2002 15:30:01 -0000      1.65
--------------------------
File to patch:

For this one I directed it to patch conf/httpd.conf-dist-win and that seemed
to work ok.

After this the rest of the patch process completes and I am directed to
build Apache. 

While building apache I get the following error:

        cl.exe /nologo /c /O2 /MD /W3 /GX /DNDEBUG /DWIN32 /D_WINDOWS
/DSHARED_M
ODULE /DEAPI /DMOD_SSL=208109 /DMOD_SSL_VERSION=\"2.8.9\" /I..\..\include
/I..\.
.\os\win32 /Ic:\silverback\openssl\include mod_ssl.c
mod_ssl.c
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h
(37) : error C2061: syntax error : identifier 'HRESULT'
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h
(37) : error C2059: syntax error : ';'
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h
(243) : error C2061: syntax error : identifier 'HCRYPTPROV'
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h
(243) : error C2059: syntax error : ';'
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h
(244) : error C2061: syntax error : identifier 'HCRYPTKEY'
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h
(244) : error C2059: syntax error : ';'
c:\Program Files\Microsoft Visual Studio
.NET\Vc7\PlatformSDK\Include\WinCrypt.h

Any thoughts on these issues? Thanks,

-Noah
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]

---

From: "Aryeh Katz" <[email-masked]>
Date: Thu, 20 Jun 2002 17:28:59 -0400

Is your win32 build environment set on the command line?
It looks like something is wrong with your include path.
run set, and see whether or not the correct value for include shows up.
> |+--------------------------------------------------------------------
> ------ - || First patch APACI's configuration script to pass a `ssl'
> flag || to the Makefile.tmpl file which indicated whether mod_ssl is
> || activated or not.  Second we add support for the SSL_BASE and ||
> RSA_BASE variables. Third we provide the configuration || adjustments
> of the HTTPS port (443) similar to what is || already done by APACI
> for the HTTP port (80).
> |+--------------------------------------------------------------------
> ------ - |Index: configure |--- configure  19 Jun 2002 07:20:10 -0000 
>     1.1.1.14 |+++ configure  19 Jun 2002 07:29:07 -0000      1.26
> -------------------------- File to patch:
> 
> |+--------------------------------------------------------------------
> ------ - || Here we first incorporate support for the `make
> certificate' || procedure and second support for the `make install'
> procedure || where SSL directives in the configuration files are now
> also || adjusted and SSL certs/keys and support programs are now ||
> additionally installed.
> |+--------------------------------------------------------------------
> ------ - |Index: Makefile.tmpl |--- Makefile.tmpl      27 Mar 2002
> 15:22:49 -0000      1.1.1.12 |+++ Makefile.tmpl      27 Mar 2002
> 15:30:01 -0000      1.44 -------------------------- File to patch:
> 
> |+--------------------------------------------------------------------
> ------ - || Add additional SSL configuration directives which provide
> a || robust default configuration: virtual server on port 443 || which
> speaks SSL.
> |+--------------------------------------------------------------------
> ------ - |Index: conf/httpd.conf-dist |--- conf/httpd.conf-dist      
> 27 Mar 2002 15:22:49 -0000      1.1.1.14 |+++ conf/httpd.conf-dist    
>   27 Mar 2002 15:30:01 -0000      1.65 -------------------------- File
> to patch:
> 
> For this one I directed it to patch conf/httpd.conf-dist-win and that
> seemed to work ok.
> 
> After this the rest of the patch process completes and I am directed
> to build Apache. 
> 
> /DSHARED_M ODULE /DEAPI /DMOD_SSL=208109 /DMOD_SSL_VERSION=\"2.8.9\"
> /I..\..\include /I..\. .\os\win32 /Ic:\silverback\openssl\include
> mod_ssl.c mod_ssl.c c:\Program Files\Microsoft Visual Studio
> .NET\Vc7\PlatformSDK\Include\WinCrypt.h (37) : error C2061: syntax
> error : identifier 'HRESULT' c:\Program Files\Microsoft Visual Studio
> .NET\Vc7\PlatformSDK\Include\WinCrypt.h (37) : error C2059: syntax
> error : ';' c:\Program Files\Microsoft Visual Studio
> .NET\Vc7\PlatformSDK\Include\WinCrypt.h (243) : error C2061: syntax
> error : identifier 'HCRYPTPROV' c:\Program Files\Microsoft Visual
> Studio .NET\Vc7\PlatformSDK\Include\WinCrypt.h (243) : error C2059:
> syntax error : ';' c:\Program Files\Microsoft Visual Studio
> .NET\Vc7\PlatformSDK\Include\WinCrypt.h (244) : error C2061: syntax
> error : identifier 'HCRYPTKEY' c:\Program Files\Microsoft Visual
> Studio .NET\Vc7\PlatformSDK\Include\WinCrypt.h (244) : error C2059:
> syntax error : ';' c:\Program Files\Microsoft Visual Studio

---
Aryeh Katz
VASCO 			
www.vasco.com